<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@8094=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@80E1=0A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Fast Run Time">
    <script state="run">
      <action>maincpu.pb@80C0=FF</action>
    </script>
  </cheat>

  <cheat desc="Infinite Run">
    <script state="run">
      <action>maincpu.pb@82C1=6F</action>
      <action>maincpu.pb@82D1=47</action>
    </script>
  </cheat>

  <cheat desc="Invincibility - Player">
    <script state="on">
      <action>temp0 =maincpu.mb@0BB5</action>
      <action>temp1 =maincpu.mb@0F2A</action>
      <action>temp2 =maincpu.mb@17B2</action>
    </script>
    <script state="run">
      <action>maincpu.mb@0BB5=C3</action>
      <action>maincpu.mb@0F2A=C3</action> <!-- 1st = Enemy 1, 2nd = Bomb -->
      <action>maincpu.mb@17B2=B4</action> <!-- Enemy 2 -->
    </script>
    <script state="off">
      <action>maincpu.mb@0BB5=temp0 </action>
      <action>maincpu.mb@0F2A=temp1 </action>
      <action>maincpu.mb@17B2=temp2 </action>
    </script>
  </cheat>

  <cheat desc="Invincibility - Lady">
    <script state="on">
      <action>temp0 =maincpu.mb@0CE6</action>
    </script>
    <script state="run">
      <action>maincpu.mb@0CE6=C3</action>
    </script>
    <script state="off">
      <action>maincpu.mb@0CE6=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Always Have Speed Up">
    <script state="run">
      <action>maincpu.pb@80C5=01</action>
    </script>
  </cheat>

  <cheat desc="Bomb Never Explodes">
    <script state="run">
      <action>maincpu.pb@82EB=AE</action>
    </script>
  </cheat>

  <cheat desc="Enemy 1 Stop Move">
    <script state="run">
      <action>maincpu.pb@808A=11</action>
      <action>maincpu.pb@82B1=FF</action>
    </script>
  </cheat>

  <cheat desc="Enemy 2 Stop Move">
    <script state="run">
      <action>maincpu.pb@82A1=E7</action>
      <action>maincpu.pb@82A2=69</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
